### Method

# ICalGLib VcardEnumArray find_x_value

since: 4.0

#### Declaration [src]

    gsize
    i_cal_vcard_enum_array_find_x_value (
      ICalVcardEnumArray* array,
      const gchar* xvalue
    )

#### Description [src]

Searches for an integer value in the `array`. See also i_cal_vcard_enum_array_find_value().

Available since: 4.0

This method is not directly available to language bindings.

#### Parameters

`xvalue`

  Type: `const gchar*`

  The X (custom) value to search for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gsize`

The index of the value in the `array`, or an index out of bounds, if not found.